@echo off
if "%1"=="" goto Usage
if not exist HEADER.DDI goto NoHeader
if not exist %1.DSK goto NoDSK

echo.
echo Converting...
echo.
copy /b HEADER.DDI + %1.DSK %1.DDI
echo.
echo Done!
echo.
goto End

:NoHeader
echo.
echo ERROR: couldn't find HEADER.DDI file.
echo.
goto End

:NoDSK
echo.
echo ERROR: couldn't find %1.DSK file.
echo.
goto End

:Usage
echo.
echo Usage:
echo         DSK2DDI filename
echo         Converts filename.DSK to filename.DDI.
echo.
goto End

:End
